Package Details: stremio-beta 4.4.142-0

Git Clone URL: https://aur.archlinux.org/stremio-beta.git (read-only, click to copy)
Package Base: stremio-beta
Description: Watch videos, movies, TV series and TV channels instantly. (Beta Version)
Upstream URL: https://www.stremio.com
Keywords: netflix popcorn-time stremio
Licenses: MIT
Conflicts: stremio, stremio-beta, stremio-legacy
Provides: stremio-beta
Submitter: prasadkumar013
Maintainer: vladimir_borisov
Last Packager: vladimir_borisov
Votes: 18
Popularity: 0.002599
First Submitted: 2018-02-27 21:02 (UTC)
Last Updated: 2021-07-07 14:21 (UTC)

Latest Comments

mosgerila commented on 2022-05-15 01:45 (UTC)

Solved. The solution here: https://github.com/Stremio/stremio-bugs/issues/374

mosgerila commented on 2022-05-14 13:32 (UTC)

Now, after the latest manjaro kde upgrade, stremio no longer works: Stremio streaming server has thrown an error QProcess::ProcessError code: 1

(node:18735) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead. (Use node --trace-deprecation ... to show where the warning was created) /opt/stremio/server.js:135945 details.family = details.family.toLowerCase(); ^

TypeError: details.family.toLowerCase is not a function at /opt/stremio/server.js:135945:39 at Array.filter (<anonymous>) at /opt/stremio/server.js:135944:37 at Array.map (<anonymous>) at Object.address (/opt/stremio/server.js:135939:37) at Server.<anonymous> (/opt/stremio/server.js:135075:37) at Server.emit (node:events:527:28) at Server.emit (node:domain:475:12) at emitListeningNT (node:net:1414:10) at process.processTicksAndRejections (node:internal/process/task_queues:81:21)

Node.js v18.1.0

vladimir_borisov commented on 2022-03-18 13:05 (UTC)

@crismblog It seems to me that you have problems with pacman. Try running pacman -Syu (optionally reboot) and then try installing Stremio again. If pacman -Syu doesn't work too, try updating the keyring first (pacman -S archlinux-keyring)

crismblog commented on 2022-02-01 12:32 (UTC) (edited on 2022-02-01 12:37 (UTC) by crismblog)

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
qt5-webengine-5.15.8-5-x86_64.pkg.tar.zst failed to download
qt5-declarative-5.15.2+kde+r43-3-x86_64.pkg.tar.zst failed to download
qt5-quickcontrols2-5.15.2+kde+r11-1-x86_64.pkg.tar.zst failed to download
Total (3/3)
54,8 MiB 8,11 MiB/s 00:07
[########################################################################################] 100%
error: failed retrieving file 'qt5-webengine-5.15.8-5-x86_64.pkg.tar.zst' from mirror.pkgbuild.com : The requested URL returned error: 404
error: failed retrieving file 'qt5-declarative-5.15.2+kde+r43-3-x86_64.pkg.tar.zst' from mirror.pkgbuild.com : The requested URL returned error: 404
error: failed retrieving file 'qt5-quickcontrols2-5.15.2+kde+r11-1-x86_64.pkg.tar.zst' from mirror.pkgbuild.com : The requested URL returned error: 404
warning: too many errors from mirror.pkgbuild.com, skipping for the remainder of this transaction

https://pastebin.com/1rWiRq7m">

spiderus commented on 2019-12-31 22:43 (UTC)

For those who have nodejs installed on a package manager other than pacman, like asdf for example, pacman -U will ask you to install nodejs through pacman. To bypass this just remove "nodejs" from the dependencies array in PKGBUILD and save it. Hope this may be helpful for someone.

efranelas commented on 2019-12-14 17:07 (UTC)

All right, gig-gi-ty. Stremio's website leads to this package. Installation was smooth and no errors were reported. Nice.

luizsol commented on 2019-11-02 20:19 (UTC)

I'm having errors on the build (installing via yay):

/usr/bin/ld: /usr/lib/libSPIRV-Tools.so: referência não definida para "std::__cxx11::basic_ostringstream<char, std::char_traits<char>, std::allocator<char> >::basic_ostringstream()@GLIBCXX_3.4.26"

(referência não definida para ~ non defined reference to)

Setup: Manjaro 4.19.80-1, gcc 9.2.0, yay v9.4.2

ShalokShalom commented on 2019-09-14 11:11 (UTC)

The Github page of the desktop shell says that one is GPL. Only the core is MIT

https://github.com/Stremio/stremio-shell/blob/master/LICENSE.md

spiderus commented on 2019-08-22 00:07 (UTC)

No problem on Arch 5.2.9-arch1-1-ARCH x86_64 GNU/Linux running command $ yaourt -S stremio-beta

Sintan commented on 2019-07-03 15:28 (UTC)

It's failing on arch (manjaro). When I open the program, I can see the logo and then a black screen. The colour sometime changes (to purple or something). Log : https://pastebin.com/bwfdrpvp

desaparecido commented on 2019-06-18 11:52 (UTC)

hi, I use kde-unstable repo and with QT 5.13rc3 all works fine, so i can imagine than will be fix soon for all repos

vladimir_borisov commented on 2019-06-18 06:39 (UTC)

Thank you for your feedback. I can reproduce the problem. Looking into it.

As of now QT downgrade is the only option.

macfly commented on 2019-06-18 01:06 (UTC)

I had the same issue. I don't know if you are in same situation but downgrading qt5 components from version 5.12.4-1 (they are still in testing) to 5.12.3-1 fix it.

Zeioth commented on 2019-06-17 21:11 (UTC) (edited on 2019-06-17 21:37 (UTC) by Zeioth)

It's failing on arch (antergos). When I open the program I see the Stremio logo, and a black screen after that. On my task manager I can see "QtWebEngine process" being created and destroyed constantly. Log: https://pastebin.com/raw/qL43ZyqS

Wiseacre commented on 2019-05-12 10:33 (UTC)

collect2: error: ld returned 1 exit status make[1]: [Makefile:245: stremio] Error 1 make[1]: Leaving directory '/tmp/yaourt-tmp-ted/aur-stremio-beta/src/stremio/build' make: [release.makefile:33: build/stremio] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build stremio-beta. ==> Restart building stremio-beta ? [y/N]

macfly commented on 2019-05-01 03:50 (UTC)

Also may be better to use the tag when checking out the git so package version are aligned with stremio code version. Right now master is version 4.4.52 but package version is still 4.4.25

petko10 commented on 2019-02-19 11:25 (UTC)

The last update broke the .desktop entry (/launcher/shortcut). Stremio still works via /opt/stremio/stremio, but there's no launcher installed.

Tio commented on 2019-01-16 16:07 (UTC)

@vladimir_borisov It worked after removing it and reinstalling it again ;)

vladimir_borisov commented on 2019-01-16 15:37 (UTC)

@teoretic I guess you have stremio-legacy already installed. As it's also using /usr/bin/stremio for the executable, both packages are in conflict. I've just updated the package, so it will tell you about this conflict. Anyway, I suggest you to manually remove stremio-legacy and try installing stremio-beta again. It should work this time.

Tio commented on 2019-01-16 15:06 (UTC)

@vladimir_borisov Ok I understand. However I cannot find it in Manjaro Gnome. Executing "stremio" in terminal does not do anything. Am I doing something wrong? I install and update via Pamac.

vladimir_borisov commented on 2019-01-16 11:31 (UTC)

The executable now is called just stremio. The installer script links it in /usr/bin/stremio There's also a smartcode-stremio.desktop file that should be discovered by application launchers.

Tio commented on 2019-01-16 11:27 (UTC)

After the last update it simply disappear from my (Manjaro-Gnome) system. There are still some files in my system https://i.imgur.com/SonBqIS.png but I simply cannot find stremio-beta to open/use.

prasadkumar013 commented on 2019-01-15 17:35 (UTC)

Thank You vladimir_borisov for stepping up. I have marked package as orphaned. Let me know if you need anything else.

I would like to thank everybody using stremio-aur packages.

vladimir_borisov commented on 2019-01-15 13:43 (UTC)

@ShayBox as I read from the documentation the package have to be orphan first. Then I can take ownership. Is there any other way? I sent orphan request. Now I'm not sure who or how to approve this request so I can update the package.

prasadkumar013 commented on 2018-12-19 03:24 (UTC)

Hello Everyone/vladimir_borisov,

I'm sorry for the delay in regular updating my AUR packages. Of late I have got less and less time for AUR packages. I'm open someone is willing to step up to take over my AUR packages.

Thanks, Prasad

vladimir_borisov commented on 2018-11-13 09:58 (UTC)

Hello, @prasadkumar013!

I'm not sure if you're aware that the shell for Stremio is open source.

There's now official PKGBUILD for Stremio. You can check it out here https://github.com/Stremio/stremio-shell/tree/master/distros/ArchLinux

Is it's OK if I publish another package in AUR? Anyway, you can update your PKGBUID to compile the shell from git. There's also an install script that generates proper .desktop file and icons.

Pull requests/bug reports are always welcome.

tankyard commented on 2018-11-11 12:43 (UTC)

Last night installed Arch on my old computer, and then I installed stremio-beta from AUR. Works perfectly for me. Even better than on my 2nd computer with Windows 10.

lknix commented on 2018-11-08 21:17 (UTC)

There's a closed issue on Stremio's github page: https://github.com/Stremio/stremio-bugs/issues/159

Workaround:

LD_PRELOAD=/usr/lib/libnss3.so stremio-beta 

lknix commented on 2018-11-08 21:13 (UTC)

Latest version crashes for me, too. Happens the same with clean install:

...
[890:910:1108/220947.803594:FATAL:nss_util.cc(203)] nss_error=-8023, os_error=0
#0 0x7fc982f273ae <unknown>
#1 0x7fc982f374b7 <unknown>
#2 0x7fc98370868d <unknown>
#3 0x7fc983708ba0 <unknown>
#4 0x7fc983637c75 <unknown>
#5 0x7fc9835248a7 <unknown>
#6 0x7fc9834f0b67 <unknown>
#7 0x7fc98267052a <unknown>
#8 0x7fc982671a46 <unknown>
#9 0x7fc982673bce <unknown>
#10 0x7fc982853207 <unknown>
#11 0x7fc982b7521f <unknown>
#12 0x7fc982f9b5a3 <unknown>
#13 0x7fc982f40b90 <unknown>
#14 0x7fc982f4299d <unknown>
#15 0x7fc982f43896 <unknown>
#16 0x7fc982f44210 <unknown>
#17 0x7fc982f3ff92 <unknown>
#18 0x7fc982f5b9d8 <unknown>
#19 0x7fc9828881f5 <unknown>
#20 0x7fc98288862b <unknown>
#21 0x7fc982f735f6 <unknown>
#22 0x7fc982f6f8ad <unknown>
#23 0x7fc97c257a9d start_thread
#24 0x7fc97fff7b23 __GI___clone

QSocketNotifier: Socket notifiers cannot be enabled or disabled from another thread
QObject::~QObject: Timers cannot be stopped from another thread
Segmentation fault (core dumped)

prasadkumar013 commented on 2018-11-06 13:16 (UTC)

@yynn_o can you try uninstalling old version and installing this version? It's working fine for me on an upto date Arch installation.

yynn_o commented on 2018-11-06 07:16 (UTC)

The last update crashes for me. Previous version was working all right.

QSocketNotifier: Socket notifiers cannot be enabled or disabled from another thread QObject::~QObject: Timers cannot be stopped from another thread Exit status: 134

prasadkumar013 commented on 2018-11-06 04:49 (UTC)

Apologies for the delay in providing timely updates. Recently started working. Please let know if there are any issues with updated AUR package.

edneyhelene commented on 2018-11-04 15:49 (UTC)

Still out of date and broken

nemanjan00 commented on 2018-10-02 11:08 (UTC)

New version runs just fine like this:

LD_PRELOAD=/usr/lib/libnss3.so ./Stremio+4.4.10.appimage

geosam commented on 2018-07-18 15:04 (UTC)

Archusers, set enveriment QT_SCALE_FACTOR=0.75 for scale the app.

mokos commented on 2018-07-13 09:04 (UTC)

guys lets say we watch a movie with subs, if you want to keep it, where its downloaded? and where the subs are located??? thank you

kouros17 commented on 2018-03-26 21:05 (UTC)

@prasadkumar013 thank you! 4.0.10-2 running fine without issues so far. :)

prasadkumar013 commented on 2018-03-26 19:59 (UTC)

@EarthMind Thank You for the fix. Tested it and updated the script. Try updating and report back any issues if present.

EarthMind commented on 2018-03-26 19:45 (UTC)

So yeah it works with that fix. Here how to translate it to this package: sudo mv /opt/stremio-beta/lib/libfreetype.so.6 /opt/stremio-beta/lib/libfreetype.so.6.bak

Perhaps you want to add that to the PKGBuild temporarily until an upstream fix is available?

EarthMind commented on 2018-03-26 19:34 (UTC)

@prasadkumar013 Same issue with the appimage. But there seems to be a solution: https://gist.github.com/nemanjan00/dca98f1eb26414327e32452185916ec8

I haven't tried it yet though

prasadkumar013 commented on 2018-03-26 18:05 (UTC) (edited on 2018-03-26 19:13 (UTC) by prasadkumar013)

@pilililo2 @EarthMind @kouros17 Could you try downloading appimage from above source and running it? Do you get any errors? The error might not be related to Stremio/AUR package, but might be due to upgrading fontconfig package on the system. This might be the reason why Stremio's official appimage also isn't running anymore.

pilililo2 commented on 2018-03-26 17:05 (UTC)

@EarthMind @kouros17 Same here, also in Antergos KDE (everything up to date). Wont open because of that same libfontconfig.so.1 error.

EarthMind commented on 2018-03-25 21:29 (UTC)

@kouros17 Same here in KDE (Antergos)

kouros17 commented on 2018-03-25 21:27 (UTC) (edited on 2018-03-25 21:42 (UTC) by kouros17)

After upgrade to fontconfig 2.13.0+10+g58f5285-1 (gnome and manjaro) stremio-beta doesn't launch anymore:

stremio-beta: symbol lookup error: /usr/lib/libfontconfig.so.1: undefined symbol: FT_Done_MM_Var

I have to downgrade fontconfig to 2.12 in order to work.

prasadkumar013 commented on 2018-02-28 19:34 (UTC) (edited on 2018-03-01 14:39 (UTC) by prasadkumar013)

@konig. Update: Fixed

konig commented on 2018-02-28 18:28 (UTC)

Upon launching the app, this error pops up - stermio QProcess::ProcessError code: 0. Launching the app from CLI displays the follwing

js: WebSocket connection to 'ws://127.0.0.1:11470/' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED js: TypeError: Failed to fetch js: TypeError: Failed to fetch js: TypeError: Failed to fetch [11611:11679:0228/192625.582424:ERROR:cert_verify_proc_nss.cc(918)] CERT_PKIXVerifyCert for iberianaddon.com failed err=-8181 js: TypeError: Failed to fetch js: [object Object] js: WebSocket connection to 'ws://127.0.0.1:11470/' failed: Error in connection establishment: net::ERR_CONNECTION_REFUSED